Bug 1308390 - [online]OpenShiftBuildVerifier should not have booleanRadio for verbose logging
[online]OpenShiftBuildVerifier should not have booleanRadio for verbose logging
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Image (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Gabe Montero
Wang Haoran
:
Depends On: 1292021 1294940 1312826
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-14 21:38 EST by wewang
Modified: 2016-05-23 11:09 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1294940
Environment:
Last Closed: 2016-05-23 11:09:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
UI of build part (30.82 KB, image/png)
2016-03-20 23:47 EDT, wewang
no flags Details
verify Openshift build UI (49.28 KB, image/png)
2016-03-21 21:56 EDT, wewang
no flags Details

  None (edit)
Comment 1 Gabe Montero 2016-02-14 22:56:52 EST
This was fixed with the plugin about a month ago, per the cloned bug.

I'm guessing that this was attempted with the RHEL jenkins image, and that the version used was downlevel and did not have a version of the jenkins plugin with the fix.

This could be confirmed a few ways.  The easiest perhaps would be to log into the jenkins image used, and go to Manage Jenkins, then Manage Plugins, and then clicking the installed tab.  Then see which version of the openshift pipeline plugin is installed.

If I'm correct, then we would simple need to upgrade the version of the Jenkins RHEL image.
Comment 2 Gabe Montero 2016-03-18 11:46:52 EDT
So online is pulling the jenkins image from registry.access.redhat.com/openshift3/jenkins-1-rhel7:latest

I verified that that image is a bit older ... and it only has version 1.0.4 of the openshift-pipeline plugin 

@bparees @tdawson @sdodson - can you all confirm for me what the schedule is for pushing out the latest jenkins rhel image to registry.access.redhat.com ... will it not occur until 3.2 ships?

thanks,
gabe
Comment 3 Ben Parees 2016-03-18 13:09:18 EDT
I believe that's correct (that it won't be updated until 3.2 ships).  Troy will need to confirm though.
Comment 4 Troy Dawson 2016-03-18 13:21:39 EDT
We currently have no bugzilla/errata scheduled that would update the released jenkins image for OpenShift 3.1.
So Ben is correct.  It will not be updated until 3.2 ships.
Comment 6 wewang 2016-03-20 23:47 EDT
Created attachment 1138402 [details]
UI of build part
Comment 8 Gabe Montero 2016-03-21 10:01:41 EDT
The names of the steps were changed as part of a documentation / usability review.

"Get latest openshift build status" is now "Verify OpenShift Build".

I pulled down the image you referenced and the fix for this bug is there.
Comment 10 wewang 2016-03-21 21:56 EDT
Created attachment 1138859 [details]
verify Openshift build UI
Comment 11 wewang 2016-03-21 21:58:34 EDT
It's just my opinion:>  of course ,it's good for us to understand the meaning of the options

Note You need to log in before you can comment on or make changes to this bug.